Bug 650201 - tweak metric collection defaults in JBossAS 5 plugin
tweak metric collection defaults in JBossAS 5 plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: jon241-bugs jon30-bugs
  Show dependency treegraph
 
Reported: 2010-11-05 10:08 EDT by John Mazzitelli
Modified: 2011-05-23 21:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-11-05 10:08:37 EDT
JBossAS 5 plugin descriptor have metric collection intervals that are to fast. Look at the descriptor and see all the defaultInterval="60000" settings. Too many metrics are getting collected at 1m intervals. We should never have defaults faster than 5m, and most should probably be 10m or 20m depending on the nature of the metric.

Remember these are just the main defaults - if users feel they need to see these metrics in a more fine-grained timeperiod, they can adjust. But we need the system to not bog down out-of-box if, say, someone monitors 20+ EAP instances on an agent machine.

Here are the metrics that I think should be adjusted - just search for the string "60000" to find all the metrics with 1m intervals and "30000" to find metrics with 30s intervals - these are the ones that should be changed to a minimum of "600000" (10m):

* Change the entity "managedObjectMetrics" from default of 30000 to 600000

* All metrics for "No Tx Datasource"
* All metrics for "Local Tx Datasource"
* All metrics for "XA Datasource"
(note: change two xml entities (&datasourceMetrics and &nonXaDatasourceOracleTemplateProps to control all three above)

* All metrics for "No Tx ConnectionFactory"
* All metrics for "Tx ConnectionFactory"
(note: change xml entity &connectionFactoryMetrics to control all two above)

* Some metrics for "EJB3 Stateful Session Bean (Embedded)"
* Some metrics for "EJB3 Stateful Session Bean"
* Some metrics for "EJB3 Message-Driven Bean (Embedded)"
* Some metrics for "EJB3 Message-Driven Bean"
(note: change two xml entities (&ejb3StatefulSessionBeanMetrics and &ejb3MessageDrivenBeanMetrics to control all above)

* "Queue"
** consumerCount
** deliveringCount
** messageCount
** scheduledMessageCount
** messageStatistics.count
** messageStatistics.countDelta
** messageStatistics.depth
** messageStatistics.depthDelta
** messageStatistics.timeLastUpdate

* "Topic"
** allMessageCount
** allSubscriptionCount
** durableMessageCount
** durableSubscriptionsCount
** nonDurableMessageCount
** nonDurableSubscriptionsCount
Comment 1 John Mazzitelli 2010-11-05 10:25:02 EDT
We should also change the jboss-as plugin (JBossAS 4) - it too has metrics (8 to be exact) at 1m intervals. All metrics for the ConnectionFactory have 1m intervals - these should be 10m minimum.
Comment 2 John Mazzitelli 2010-11-05 10:32:13 EDT
correction: &nonXaDatasourceOracleTemplateProps should not be changed, that's not related to metrics
Comment 3 John Mazzitelli 2010-11-05 10:35:42 EDT
git master commit: 1c8233c42c20ac9cec751bf26b2828ab73eb4ead

this changes jboss-as and jboss-as-5 plugin descriptors.
Comment 4 Charles Crouch 2010-11-05 17:40:51 EDT
(4:11:51 PM) mazz: ccrouch: I'm of the opinion now that we should consider turning OFF some of these metrics
(4:12:01 PM) mazz: not just tuning down metric intervals
(4:12:21 PM) jshaughn: right, I mean, especially for the primary plugins
Comment 5 John Mazzitelli 2010-12-10 11:11:44 EST
coll intervals are changed
Comment 6 Rajan Timaniya 2010-12-13 08:13:41 EST
Verified on JON-2.4.1 build #39 (build number: 10962:6b251b7)

JBoss-AS and JBoss-AS-5 both plugin's default matric collection change to 10M. Tested as mentioned in initial bug description.
Comment 8 Corey Welton 2011-05-23 21:13:48 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 9 Corey Welton 2011-05-23 21:13:48 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 10 Corey Welton 2011-05-23 21:13:48 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.